org.richfaces.component.html

## Class HtmlPage

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.richfaces.component.UIPage
        - - org.richfaces.component.html.HtmlPage

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class HtmlPage
      extends UIPage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlPage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBodyClass()`
    `java.lang.String` | `getContentType()`
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFooterClass()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getMarkupType()`
    `java.lang.String` | `getNamespace()`
    `java.lang.String` | `getOnload()`
    `java.lang.String` | `getOnunload()`
    `java.lang.String` | `getPageTitle()`
    `java.lang.String` | `getSidebarClass()`
    `java.lang.String` | `getSidebarPosition()`
    `int` | `getSidebarWidth()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTheme()` Get Page theme name
    `java.lang.String` | `getTitle()`
    `int` | `getWidth()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setBodyClass(java.lang.String _bodyClass)`
    `void` | `setContentType(java.lang.String _contentType)`
    `void` | `setDir(java.lang.String _dir)`
    `void` | `setFooterClass(java.lang.String _footerClass)`
    `void` | `setHeaderClass(java.lang.String _headerClass)`
    `void` | `setLang(java.lang.String _lang)`
    `void` | `setMarkupType(java.lang.String _markupType)`
    `void` | `setNamespace(java.lang.String _namespace)`
    `void` | `setOnload(java.lang.String _onload)`
    `void` | `setOnunload(java.lang.String _onunload)`
    `void` | `setPageTitle(java.lang.String _pageTitle)`
    `void` | `setSidebarClass(java.lang.String _sidebarClass)`
    `void` | `setSidebarPosition(java.lang.String _sidebarPosition)`
    `void` | `setSidebarWidth(int _sidebarWidth)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTheme(java.lang.String _theme)` Set Page theme name
    `void` | `setTitle(java.lang.String _title)`
    `void` | `setWidth(int _width)`

    - ### Methods inherited from class org.richfaces.component.UIPage

      `getRendererType`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlPage

          public HtmlPage()

  - ### Method Detail

    - #### getBodyClass

          public java.lang.String getBodyClass()

    - #### setBodyClass

          public void setBodyClass(java.lang.String _bodyClass)

    - #### getContentType

          public java.lang.String getContentType()

    - #### setContentType

          public void setContentType(java.lang.String _contentType)

    - #### getDir

          public java.lang.String getDir()

    - #### setDir

          public void setDir(java.lang.String _dir)

    - #### getFooterClass

          public java.lang.String getFooterClass()

    - #### setFooterClass

          public void setFooterClass(java.lang.String _footerClass)

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

    - #### setHeaderClass

          public void setHeaderClass(java.lang.String _headerClass)

    - #### getLang

          public java.lang.String getLang()

    - #### setLang

          public void setLang(java.lang.String _lang)

    - #### getMarkupType

          public java.lang.String getMarkupType()

    - #### setMarkupType

          public void setMarkupType(java.lang.String _markupType)

    - #### getNamespace

          public java.lang.String getNamespace()

    - #### setNamespace

          public void setNamespace(java.lang.String _namespace)

    - #### getOnload

          public java.lang.String getOnload()

    - #### setOnload

          public void setOnload(java.lang.String _onload)

    - #### getOnunload

          public java.lang.String getOnunload()

    - #### setOnunload

          public void setOnunload(java.lang.String _onunload)

    - #### getPageTitle

          public java.lang.String getPageTitle()

    - #### setPageTitle

          public void setPageTitle(java.lang.String _pageTitle)

    - #### getSidebarClass

          public java.lang.String getSidebarClass()

    - #### setSidebarClass

          public void setSidebarClass(java.lang.String _sidebarClass)

    - #### getSidebarPosition

          public java.lang.String getSidebarPosition()

    - #### setSidebarPosition

          public void setSidebarPosition(java.lang.String _sidebarPosition)

    - #### getSidebarWidth

          public int getSidebarWidth()

    - #### setSidebarWidth

          public void setSidebarWidth(int _sidebarWidth)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTheme

          public java.lang.String getTheme()

      Description copied from class: `UIPage`
      Get Page theme name
      Specified by:
        `getTheme` in class `UIPage`
      Returns:

    - #### setTheme

          public void setTheme(java.lang.String _theme)

      Description copied from class: `UIPage`
      Set Page theme name
      Specified by:
        `setTheme` in class `UIPage`

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int _width)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright © 2014. All Rights Reserved.